Package de.willuhn.jameica.hbci.server

# Class SepaLastschriftImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl
de.willuhn.jameica.hbci.server.AbstractBaseUeberweisungImpl
de.willuhn.jameica.hbci.server.SepaLastschriftImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `BaseUeberweisung`, `Duplicatable`, `HibiscusDBObject`, `HibiscusTransfer`, `SepaBooking`, `SepaLastschrift`, `SepaPayment`, `Terminable`, `Transfer`, `Serializable`, `Remote`

public class SepaLastschriftImpl extends AbstractBaseUeberweisungImpl implements SepaLastschrift
Eine SEPA-Lastschrift.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`SepaLastschriftImpl()`

## Method Summary

Modifier and Type
Method
Description
`Duplicatable`
`duplicate()`
Dupliziert das Objekt.
`String`
`getCreditorId()`
Liefert die Glaeubiger-ID.
`String`
`getEndtoEndId()`
Liefert die optionale End2End-ID fuer SEPA.
`String`
`getGegenkontoBLZ()`
Liefert die BLZ des Gegenkontos.
`String`
`getMandateId()`
Liefert die Mandats-ID.
`String`
`getOrderId()`
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.
`String`
`getPmtInfId()`
Liefert die optionale PmtInf-ID fuer SEPA.
`String`
`getPurposeCode()`
Liefert den optionalen Purpose-Code.
`SepaLastSequenceType`
`getSequenceType()`
Liefert den Sequenz-Typ der Lastschrft.
`Date`
`getSignatureDate()`
Liefert das Datum der Unterschrift des Mandats.
`protected String`
`getTableName()`
`Date`
`getTargetDate()`
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.
`SepaLastType`
`getType()`
Liefert den Typ der Lastschrft.
`protected void`
`insertCheck()`
`void`
`setCreditorId(String id)`
Speichert die Glaeubiger-ID.
`void`
`setEndtoEndId(String id)`
Speichert die optionale End2End-ID fuer SEPA.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setMandateId(String id)`
Speichert die Mandats-ID.
`void`
`setOrderId(String orderId)`
Speichert die von der Bank zurueckgemeldete Order-ID.
`void`
`setPmtInfId(String id)`
Speichert die optionale PmtInf-ID fuer SEPA.
`void`
`setPurposeCode(String code)`
Speichert den optionalen Purpose-Code.
`void`
`setSequenceType(SepaLastSequenceType type)`
Speichert den Sequenz-Typ der Lastschrift.
`void`
`setSignatureDate(Date date)`
Speichert das Datum der Unterschrift des Mandats.
`void`
`setTargetDate(Date date)`
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.
`void`
`setTextSchluessel(String schluessel)`
Speichert den Textschluessel.
`void`
`setType(SepaLastType type)`
Speichert den Typ der Lastschrift.
`void`
`setWeitereVerwendungszwecke(String[] list)`
Speichert eine Liste erweiterter Verwendungszwecke.
`void`
`setZweck2(String zweck2)`
Speichert Zeile 2 des Verwendungszwecks.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractBaseUeberweisungImpl

`ausgefuehrt, getAusfuehrungsdatum, getPrimaryAttribute, getTermin, getTextSchluessel, insert, markingExecuted, setAusgefuehrt, setTermin, ueberfaellig, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl

`delete, getAttribute, getBetrag, getGegenkontoName, getGegenkontoNummer, getKonto, getWeitereVerwendungszwecke, getZweck, getZweck2, overwrite, setBetrag, setGegenkonto, setGegenkontoName, setGegenkontoNummer, setKonto, setZweck, store`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseUeberweisung

`getTextSchluessel`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoName, setGegenkontoNummer, setKonto, setZweck`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### SepaLastschriftImpl

public SepaLastschriftImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### duplicate

public Duplicatable duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `Duplicatable.duplicate()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `AbstractBaseUeberweisungImpl`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### setTextSchluessel

public void setTextSchluessel(String schluessel) throws RemoteException
Description copied from interface: `BaseUeberweisung`
Speichert den Textschluessel.

Specified by:
  `setTextSchluessel` in interface `BaseUeberweisung`
Overrides:
  `setTextSchluessel` in class `AbstractBaseUeberweisungImpl`
Parameters:
  `schluessel` -
Throws:
  `RemoteException`
See Also:
  - `AbstractBaseUeberweisungImpl.setTextSchluessel(java.lang.String)`

### setGegenkontoBLZ

public void setGegenkontoBLZ(String blz) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert die BLZ des Gegenkontos.

Specified by:
  `setGegenkontoBLZ` in interface `HibiscusTransfer`
Overrides:
  `setGegenkontoBLZ` in class `AbstractHibiscusTransferImpl`
Parameters:
  `blz` - BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.setGegenkontoBLZ(java.lang.String)`

### getGegenkontoBLZ

public String getGegenkontoBLZ() throws RemoteException
Description copied from interface: `Transfer`
Liefert die BLZ des Gegenkontos.

Specified by:
  `getGegenkontoBLZ` in interface `Transfer`
Overrides:
  `getGegenkontoBLZ` in class `AbstractHibiscusTransferImpl`
Returns:
  BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.getGegenkontoBLZ()`

### setWeitereVerwendungszwecke

public void setWeitereVerwendungszwecke(String[] list) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert eine Liste erweiterter Verwendungszwecke.

Specified by:
  `setWeitereVerwendungszwecke` in interface `HibiscusTransfer`
Overrides:
  `setWeitereVerwendungszwecke` in class `AbstractHibiscusTransferImpl`
Parameters:
  `list` - Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.setWeitereVerwendungszwecke(java.lang.String[])`

### setZweck2

public void setZweck2(String zweck2) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert Zeile 2 des Verwendungszwecks.

Specified by:
  `setZweck2` in interface `HibiscusTransfer`
Overrides:
  `setZweck2` in class `AbstractHibiscusTransferImpl`
Parameters:
  `zweck2` - Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.setZweck2(java.lang.String)`

### getEndtoEndId

public String getEndtoEndId() throws RemoteException
Description copied from interface: `SepaBooking`
Liefert die optionale End2End-ID fuer SEPA.

Specified by:
  `getEndtoEndId` in interface `SepaBooking`
Returns:
  die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.getEndtoEndId()`

### setEndtoEndId

public void setEndtoEndId(String id) throws RemoteException
Description copied from interface: `SepaBooking`
Speichert die optionale End2End-ID fuer SEPA.

Specified by:
  `setEndtoEndId` in interface `SepaBooking`
Parameters:
  `id` - die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.setEndtoEndId(java.lang.String)`

### getMandateId

public String getMandateId() throws RemoteException
Description copied from interface: `SepaLastschrift`
Liefert die Mandats-ID.

Specified by:
  `getMandateId` in interface `SepaLastschrift`
Returns:
  die Mandats-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.getMandateId()`

### setMandateId

public void setMandateId(String id) throws RemoteException
Description copied from interface: `SepaLastschrift`
Speichert die Mandats-ID.

Specified by:
  `setMandateId` in interface `SepaLastschrift`
Parameters:
  `id` - die Mandats-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.setMandateId(java.lang.String)`

### getSignatureDate

public Date getSignatureDate() throws RemoteException
Description copied from interface: `SepaLastschrift`
Liefert das Datum der Unterschrift des Mandats.

Specified by:
  `getSignatureDate` in interface `SepaLastschrift`
Returns:
  das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.getSignatureDate()`

### getCreditorId

public String getCreditorId() throws RemoteException
Description copied from interface: `SepaLastschrift`
Liefert die Glaeubiger-ID.

Specified by:
  `getCreditorId` in interface `SepaLastschrift`
Returns:
  die Glaeubiger-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.getCreditorId()`

### setCreditorId

public void setCreditorId(String id) throws RemoteException
Description copied from interface: `SepaLastschrift`
Speichert die Glaeubiger-ID.

Specified by:
  `setCreditorId` in interface `SepaLastschrift`
Parameters:
  `id` - die Glaeubiger-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.setCreditorId(java.lang.String)`

### setSignatureDate

public void setSignatureDate(Date date) throws RemoteException
Description copied from interface: `SepaLastschrift`
Speichert das Datum der Unterschrift des Mandats.

Specified by:
  `setSignatureDate` in interface `SepaLastschrift`
Parameters:
  `date` - das Datum der Unterschrift des Mandats.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.setSignatureDate(java.util.Date)`

### getSequenceType

public SepaLastSequenceType getSequenceType() throws RemoteException
Description copied from interface: `SepaLastschrift`
Liefert den Sequenz-Typ der Lastschrft.

Specified by:
  `getSequenceType` in interface `SepaLastschrift`
Returns:
  der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.getSequenceType()`

### setSequenceType

public void setSequenceType(SepaLastSequenceType type) throws RemoteException
Description copied from interface: `SepaLastschrift`
Speichert den Sequenz-Typ der Lastschrift.

Specified by:
  `setSequenceType` in interface `SepaLastschrift`
Parameters:
  `type` - der Sequenz-Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.setSequenceType(de.willuhn.jameica.hbci.rmi.SepaLastSequenceType)`

### getTargetDate

public Date getTargetDate() throws RemoteException
Description copied from interface: `SepaLastschrift`
Liefert das Ziel-Ausfuehrungsdatum bei der Bank.

Specified by:
  `getTargetDate` in interface `SepaLastschrift`
Returns:
  das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.getTargetDate()`

### setTargetDate

public void setTargetDate(Date date) throws RemoteException
Description copied from interface: `SepaLastschrift`
Speichert das Ziel-Ausfuehrungsdatum bei der Bank.

Specified by:
  `setTargetDate` in interface `SepaLastschrift`
Parameters:
  `date` - das Ziel-Ausfuehrungsdatum bei der Bank.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.setTargetDate(java.util.Date)`

### getType

public SepaLastType getType() throws RemoteException
Description copied from interface: `SepaLastschrift`
Liefert den Typ der Lastschrft.

Specified by:
  `getType` in interface `SepaLastschrift`
Returns:
  der Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.getType()`

### setType

public void setType(SepaLastType type) throws RemoteException
Description copied from interface: `SepaLastschrift`
Speichert den Typ der Lastschrift.

Specified by:
  `setType` in interface `SepaLastschrift`
Parameters:
  `type` - der Typ der Lastschrift.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.setType(de.willuhn.jameica.hbci.rmi.SepaLastType)`

### getOrderId

public String getOrderId() throws RemoteException
Description copied from interface: `SepaLastschrift`
Liefert die von der Bank nach der Uebertragung zurueckgemeldete Order-ID.

Specified by:
  `getOrderId` in interface `SepaLastschrift`
Returns:
  die Order-ID. NULL, wenn der Auftrag noch nicht an die Bank gesendet wurde.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.getOrderId()`

### setOrderId

public void setOrderId(String orderId) throws RemoteException
Description copied from interface: `SepaLastschrift`
Speichert die von der Bank zurueckgemeldete Order-ID.

Specified by:
  `setOrderId` in interface `SepaLastschrift`
Parameters:
  `orderId` - die von der Bank zurueckgemeldete Order-ID.
Throws:
  `RemoteException`
See Also:
  - `SepaLastschrift.setOrderId(java.lang.String)`

### getPmtInfId

public String getPmtInfId() throws RemoteException
Description copied from interface: `SepaPayment`
Liefert die optionale PmtInf-ID fuer SEPA.

Specified by:
  `getPmtInfId` in interface `SepaPayment`
Returns:
  die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaPayment.getPmtInfId()`

### setPmtInfId

public void setPmtInfId(String id) throws RemoteException
Description copied from interface: `SepaPayment`
Speichert die optionale PmtInf-ID fuer SEPA.

Specified by:
  `setPmtInfId` in interface `SepaPayment`
Parameters:
  `id` - die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaPayment.setPmtInfId(java.lang.String)`

### getPurposeCode

public String getPurposeCode() throws RemoteException
Description copied from interface: `SepaBooking`
Liefert den optionalen Purpose-Code.

Specified by:
  `getPurposeCode` in interface `SepaBooking`
Returns:
  der optionale Purpose-Code.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.getPurposeCode()`

### setPurposeCode

public void setPurposeCode(String code) throws RemoteException
Description copied from interface: `SepaBooking`
Speichert den optionalen Purpose-Code.

Specified by:
  `setPurposeCode` in interface `SepaBooking`
Parameters:
  `code` - der optionale Purpose-Code.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.setPurposeCode(java.lang.String)`